# Created by pyp2rpm-3.3.1
%global pypi_name compreffor

Name:           python-%{pypi_name}
Version:        0.5.0
Release:        %mkrel 1
Summary:        A CFF subroutinizer for fontTools
Group:          Development/Python
License:        Apache 2.0
URL:            https://pypi.org/project/compreffor/
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.zip

BuildRequires:  python3-devel
BuildRequires:  python3dist(fonttools) >= 3.1
BuildRequires:  python3dist(pytest) >= 2.8
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)

%description
A CFF table subroutinizer for FontTools.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:       compreffor = %{version}-%{release}
Requires:       python3dist(fonttools) >= 3.1
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
A CFF table subroutinizer for FontTools.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/compreffor
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sat Mar 21 2020 wally <wally> 0.5.0-1.mga8
+ Revision: 1558528
- new version 0.5.0

* Sun Feb 16 2020 umeabot <umeabot> 0.4.6.post1-3.mga8
+ Revision: 1532703
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 0.4.6.post1-2.mga8
+ Revision: 1442769
- rebuild for python-3.8

* Mon Aug 19 2019 wally <wally> 0.4.6.post1-1.mga8
+ Revision: 1430079
- new version 0.4.6.post1
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 0.4.6-3.mga7
+ Revision: 1352277
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.4.6-2.mga7
+ Revision: 1300460
- Mageia 7 Mass Rebuild

* Sun May 06 2018 wally <wally> 0.4.6-1.mga7
+ Revision: 1226720
- imported package python-compreffor

